/*
 * status_indicator.c
 *
 *  Created on: 21 nov. 2021
 *      Author: Jonatan
 */

#include "status_indicator.h"
#include "platform.h"

void status_indicator_display(status_indicator_state_t state)
{
	switch(state)
	{
	case STATUS_INDICATOR_ALERT:
		pgi_gpio_set(RED_LED);
		break;
	case STATUS_INDICATOR_NORMAL:
		pgi_gpio_clear(RED_LED);
		break;
	}
}
